"use strict";
const common_vendor = require("../../common/vendor.js");
const ME_feedback_model = require("./model.js");
const ME_feedback_method = require("./method.js");
require("../../common/libraries/apiLoading.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_hs_upload2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_upload = () => "../../components/hs-upload/hs-upload.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_upload + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onUnload(() => {
      ME_feedback_model.useModel.formData.value = {};
    });
    return (_ctx, _cache) => {
      var _a;
      return {
        a: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b;
            return ((_a2 = common_vendor.unref(ME_feedback_method.method)) == null ? void 0 : _a2.toWorkOrder) && ((_b = common_vendor.unref(ME_feedback_method.method)) == null ? void 0 : _b.toWorkOrder(...args));
          }
        ),
        b: common_vendor.f((_a = common_vendor.unref(ME_feedback_model.useModel)) == null ? void 0 : _a.typeList, (i, index, i0) => {
          var _a2, _b, _c, _d, _e, _f;
          return {
            a: "330eb960-0-" + i0,
            b: common_vendor.p({
              type: i == null ? void 0 : i.icon,
              size: "20",
              color: (i == null ? void 0 : i.value) === ((_c = (_b = (_a2 = common_vendor.unref(ME_feedback_model.useModel)) == null ? void 0 : _a2.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.type) ? "#2a7efb" : "#999"
            }),
            c: common_vendor.t(i == null ? void 0 : i.label),
            d: `item_${index}`,
            e: common_vendor.n(`feedback_page_type_item_btn ${(i == null ? void 0 : i.value) === ((_f = (_e = (_d = common_vendor.unref(ME_feedback_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.type) ? "active" : ""}`),
            f: common_vendor.o(($event) => common_vendor.unref(ME_feedback_method.method).handleSelectType(i), `item_${index}`)
          };
        }),
        c: common_vendor.unref(ME_feedback_model.useModel).formData.value.content,
        d: common_vendor.o(($event) => common_vendor.unref(ME_feedback_model.useModel).formData.value.content = $event.detail.value),
        e: common_vendor.o(($event) => common_vendor.unref(ME_feedback_model.useModel).formData.value.images = $event),
        f: common_vendor.p({
          title: "问题页面截图，最多五张（选填）",
          count: 5,
          size: 4,
          valueModel: common_vendor.unref(ME_feedback_model.useModel).formData.value.images
        }),
        g: common_vendor.o(common_vendor.unref(ME_feedback_method.method).handleSubmit),
        h: common_vendor.p({
          handleParmaryClick: "提交"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/feedback/index.vue"]]);
wx.createPage(MiniProgramPage);
